Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)
Xiaohongshu App V2: Get note comments
/api/v1/xiaohongshu/app_v2/get_note_commentssync$0.015 / callGet comment list for a specified note, supports pagination and multiple sort strategies (TikHub · Xiaohongshu App V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| note_id | string | — | Note ID (default "") |
| share_text | string | — | xhslink.com / xhslink.cn / Share link, supports xiaohongshu.com, xhslink.com, xhslink.cn (default "") |
| cursor | string | — | Pagination cursor, leave empty for first request (default "") |
| index | integer | — | Comment index, pass 0 for first request (default 0) |
| pageArea | string | — | : UNFOLDED( - ), FOLDED( ) (default "UNFOLDED") |
| sort_strategy | string | — | Sort strategy: default, latestv2, likecount (default "latest_v2") |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/get_note_comments","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.